package com.jojubanking.boot.module.system.convert.wqdaview;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.wqdaview.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.wqdaview.WqdaViewDO;
import com.jojubanking.boot.module.system.dal.dataobject.wqdaview.WqdaViewCustDO;

/**
 * VIEW Convert
 *
 * @author admin
 */
@Mapper
public interface WqdaViewConvert {

    WqdaViewConvert INSTANCE = Mappers.getMapper(WqdaViewConvert.class);

    WqdaViewDO convert(WqdaViewCreateReqVO bean);

    WqdaViewDO convert(WqdaViewUpdateReqVO bean);

    WqdaViewRespVO convert(WqdaViewDO bean);

    List<WqdaViewRespVO> convertList(List<WqdaViewDO> list);

    PageResult<WqdaViewRespVO> convertPage(PageResult<WqdaViewDO> page);

    List<WqdaViewExcelVO> convertList02(List<WqdaViewDO> list);
//    List<WqdaViewExcelVO> convertList03(List<WqdaViewCustDO> list);

}
